using Newtonsoft.Json;

namespace ReallifeGamemode.Server.Finance
{
  public class Paycheck
  {
    [JsonProperty("financialHelp")]
    public float FinancialHelp { get; set; } = 0;

    [JsonProperty("financialInterest")]
    public float FinancialInterest { get; set; } = 0;

    [JsonProperty("vehicleTaxation")]
    public int VehicleTaxation { get; set; } = 0;

    [JsonProperty("propertyTaxation")]
    public float PropertyTaxation { get; set; } = 0;

    [JsonProperty("wage")]
    public int Wage { get; set; } = 0;

    [JsonProperty("amount")]
    public int Amount { get; set; } = 0;

    [JsonProperty("rentalFees")]
    public int RentalFees { get; set; } = 0;

    [JsonProperty("healthInsurance")]
    public int HealthInsurance { get; set; } = 0;

    [JsonProperty("factionMoney")]
    public int? FactionMoney { get; set; } = 0;

    [JsonProperty("otheramount")]
    public int? otheramount { get; set; } = 0;

    public Paycheck(float FinancialHelp, float FinancialInterest, int VehicleTaxation, float PropertyTaxation, int Wage, int Amount, int RentalFees, int HealthInsurance, int? FactionMoney, int? otheramount)
    {
      this.FinancialHelp = FinancialHelp;
      this.FinancialInterest = FinancialInterest;
      this.VehicleTaxation = VehicleTaxation;
      this.PropertyTaxation = PropertyTaxation;
      this.Wage = Wage;
      this.Amount = Amount;
      this.RentalFees = RentalFees;
      this.HealthInsurance = HealthInsurance;
      this.FactionMoney = FactionMoney;
      this.otheramount = otheramount;
    }
  }
}
